* SPSS command file
* "Determinants of Arab Opinion on Foreign Relations.sps"
* To execute this command file: 
*    1) Open the data file "Determinants of Arab Opinion on Foreign Relations.sav"
*    2) Choose "Run All" from the menu above. 

CORRELATIONS
  /VARIABLES=affect capratio capratiodir capobj securtie dyadtrde dtradegdp dependence importgdp islam west
  /PRINT=TWOTAIL NOSIG
  /MISSING=PAIRWISE.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /DEPENDENT affect
  /METHOD=ENTER capobj securtie dtradegdp importgdp islam west.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /DEPENDENT affect
  /METHOD=ENTER capobj securtie dtradegdp importgdp islam westi.

USE ALL.
COMPUTE filter_$=(filterisrael=1).
VARIABLE LABEL filter_$ 'filterisrael=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /DEPENDENT affect
  /METHOD=ENTER capobj securtie dtradegdp importgdp islam westi.

USE ALL.
COMPUTE filter_$=(filterisrusa=1).
VARIABLE LABEL filter_$ 'filterisrusa=1 (FILTER)'.
VALUE LABELS filter_$  0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE .

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /DEPENDENT affect
  /METHOD=ENTER capobj securtie dtradegdp importgdp islam westi.

FILTER OFF.
USE ALL.
EXECUTE.
